import { NarikEntity, PagingParameters } from '@narik/infrastructure';
import { NarikListForm, ServerResponse } from '@narik/app-core';
import { OnInit, AfterViewInit, Injector } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class NarikUiListForm<T extends NarikEntity> extends NarikListForm<T> implements OnInit, AfterViewInit {
    ds: any[];
    translateService: TranslateService;
    get isServerSide(): boolean;
    constructor(injector: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    useData(result: ServerResponse<any[]>): void;
    protected refresh(remoteDaraParams?: PagingParameters): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NarikUiListForm<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NarikUiListForm<any>, never, never, {}, {}, never>;
}
